#FROM golang:1.18.3-buster as builder
FROM golang:alpine
WORKDIR /usr/src/app
COPY . .
#RUN apt-get install -y git
RUN apk add git make g++
RUN go mod tidy -e
RUN go mod vendor
RUN mkdir -p /usr/local/include
WORKDIR /usr/src/app/depends/rpi-rgb-led-matrix/
#RUN git submodule update --init
RUN make
WORKDIR /usr/src/app
#RUN go install -v ./...
RUN cp /usr/src/app/depends/rpi-rgb-led-matrix/include/* /usr/local/include
RUN cp /usr/src/app/depends/rpi-rgb-led-matrix/lib/* /usr/local/lib
